Results 1 to 3 of 3

Thread: 11.2 - Cups ends /usr/lib/cups/filter/foomatic-rip failed

  1. #1

    Default 11.2 - Cups ends /usr/lib/cups/filter/foomatic-rip failed

    Installed 11.2 milestone from scratch using network installation.
    On 11.0 all was fine with cups and same printer, now system detects it, connects but cannot print.

    Printer HP Deskjet 710C - old but works fine, well used to work

    All test pages end with: /usr/lib/cups/filter/foomatic-rip failed

    Code:
    E [21/Aug/2009:09:23:59 +0200] PID 3869 (/usr/lib/cups/filter/foomatic-rip) stopped with status 1!
    I [21/Aug/2009:09:23:59 +0200] Hint: Try setting the LogLevel to "debug" to find out more.
    E [21/Aug/2009:09:23:59 +0200] [Job 38] Job stopped due to filter errors.
    Printer:
    Description: HP DeskJet 710C Foomatic/pnm2ppa (recommended)
    Location:
    Printer Driver: HP DeskJet 710C Foomatic/pnm2ppa (recommended)
    Printer State: idle, accepting jobs, published.
    Device URI: usb://HP/DESKJET%20710C

    From debug I see the following:
    D [21/Aug/2009:09:33:50 +0200] [Job 39] Error: /ioerror in --showpage--
    D [21/Aug/2009:09:33:50 +0200] [Job 39] Operand stack:
    D [21/Aug/2009:09:33:50 +0200] [Job 39] 1 true
    D [21/Aug/2009:09:33:50 +0200] [Job 39] Execution stack:
    D [21/Aug/2009:09:33:50 +0200] [Job 39] %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- false 1 %stopped_push 1878 1 3 %oparray_pop 1877 1 3 %oparray_pop 1861 1 3 %oparray_pop 1755 1 3 %oparray_pop --nostringval-- %errorexec_pop .runexec2 --nostringval-- --nostringval-- --nostringval-- 2 %stopped_push --nostringval-- 1761 0 3 %oparray_pop --nostringval-- --nostringval--
    D [21/Aug/2009:09:33:50 +0200] [Job 39] Dictionary stack:
    D [21/Aug/2009:09:33:50 +0200] [Job 39] --dict:1170/3371(ro)(G)-- --dict:1/20(G)-- --dict:98/200(L)--
    D [21/Aug/2009:09:33:50 +0200] [Job 39] Current allocation mode is local
    D [21/Aug/2009:09:33:50 +0200] [Job 39] Last OS error: 32
    D [21/Aug/2009:09:33:50 +0200] [Job 39] GPL Ghostscript 8.64: Unrecoverable error, exit code 1
    D [21/Aug/2009:09:33:50 +0200] [Job 39] renderer exited with status 127
    D [21/Aug/2009:09:33:50 +0200] [Job 39] kid3 exited with status 1
    D [21/Aug/2009:09:33:50 +0200] [Job 39] Process is dying with "Error closing renderer
    D [21/Aug/2009:09:33:50 +0200] [Job 39] ", exit stat 1
    D [21/Aug/2009:09:33:50 +0200] [Job 39] Cleaning up...
    E [21/Aug/2009:09:33:50 +0200] PID 3967 (/usr/lib/cups/filter/foomatic-rip) stopped with status 1!
    D [21/Aug/2009:09:33:50 +0200] PID 3968 (/usr/lib/cups/backend/usb) exited with no errors.
    D [21/Aug/2009:09:33:50 +0200] [Job 39] File 0 is complete.
    E [21/Aug/2009:09:33:50 +0200] [Job 39] Job stopped due to filter errors.
    I tried to reinstall cups and foomatic. No luck.
    Worked with hp-check and tools.
    To make it even stranger when I run hp-setup.... the printer on usb is not even detected.

    Can anyone help?
    Thanks in advance.
    Kloss

  2. #2

    Talking Re: 11.2 - Cups ends /usr/lib/cups/filter/foomatic-rip - fix

    I had to find the solution at least temporary.

    I found in the logs messages about missing command:
    /bin/bash: pnm2ppa: command not found

    I downloaded it - Source here - pnm2ppa - GhostScript Print Filter
    Edited /etc/pnm2ppa.conf to set to printer 710.

    Compiled and at least error was gone, but still no luck.

    Since all worked on 11.0 I decided to give it a try.
    Removed cups and ghostscript from current installation and added repositoriy from 11.00 with higher priority to make sure to have:
    ghostscript-library-8.62 instead of 8.64.
    cups also got downgraded.

    Restarted cups... and bingo. I printed the page!

    I locked now those applications so they do not get patched from the factory for the time being.

  3. #3

    Smile Re: 11.2 - Cups ends /usr/lib/cups/filter/foomatic-rip faile

    Thanks to kloss123 and
    Georg Herdt - Technology
    I have got my printer working again with opensuse 11.2 (KDE). The only problem was that in downgrading ghostscript the package manager took out okular because of dependencies. Fortunately there are alternatives to okular. Without the many people posting problems and solutions I would never have been able to resolve this. Many thanks to all.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •